Name:         gnuit
Summary:      GNU Interactive Tools
Version:      4.9.5
Release:      1
License:      GPL
Group:        Terminal
URL:          http://www.gnu.org/software/gnuit/
Source0:      ftp://ftp.gnu.org/gnu/gnuit/gnuit-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root

%description
GNU Interactive Tools (GnuIT) is a set of interactive text-mode
tools, closely integrated with the shell. It contains an extensible
file system browser, an ASCII/Hex file viewer, a process
viewer/killer and some other related utilities and shell scripts.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mv ${RPM_BUILD_ROOT}%{_bindir}/git ${RPM_BUILD_ROOT}%{_bindir}/gnuit
mv ${RPM_BUILD_ROOT}%{_mandir}/man1/git.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/gnuit.1

rm -f ${RPM_BUILD_ROOT}%{_bindir}/.gitaction
rm -f ${RPM_BUILD_ROOT}%{_libdir}/charset.alias

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS NEWS README COPYING
%doc %{_datadir}/doc/%{name}
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*
%{_datadir}/%{name}
/usr/bin/*


%changelog
* Mon Nov 28 2016 Michael Perzl <michael@perzl.org> - 4.9.5-1
- first version for AIX V5.1 and higher
